Debian Bug report logs - #592007
RFP: flex-sdk -- Framework for building and maintaining expressive web applications

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jason Morawski <rpgdude1@gmail.com>

Date: Fri, 6 Aug 2010 20:54:01 UTC

Severity: wishlist

Merged with 602499

Blocking fix for 591969: typo3-src: does not build .swf files from source, 632478: RFP: nicofox -- Iceweasel/Firefox extension to extend Nico Nico Douga functionality and save videos

Forwarded to https://issues.apache.org/jira/browse/FLEX-34221

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Fri, 06 Aug 2010 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Morawski <rpgdude1@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 06 Aug 2010 20:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Morawski <rpgdude1@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: flex-sdk -- Framework for building and maintaining expressive web applications
Date: Fri, 06 Aug 2010 16:50:26 -0400
Package: wnpp
Severity: wishlist


* Package name    : flex-sdk
  Version         : 4.1.0
  Upstream Author : Adobe Systems Incorporated
* URL             : http://opensource.adobe.com/wiki/display/flexsdk/
* License         : MPL-1.1
  Programming Lang: Java
  Description     : Framework for building and maintaining expressive web applications

The Flex SDK provides a highly productive, open source framework for 
building and maintaining expressive web applications that deploy 
consistently on all major browsers, desktops and operating systems. It 
provides a modern, standards-based language and programming model that 
supports common design patterns suitable for developers from many 
backgrounds.

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Thu, 04 Nov 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 04 Nov 2010 21:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 592007@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: 592007@bugs.debian.org
Subject: flex-sdk package: first draft
Date: Thu, 4 Nov 2010 22:23:09 +0100
[Message part 1 (text/plain, inline)]
I don't know thing one about being a package maintainer, but I've
attached the source for the flex-sdk package I hacked together for my
own use.  I figure I may as well share it and get some feedback.  I'm
going to take some time to read the developer's reference and the new
maintainer's guide in the mean time.

Thanks,
--Joey Parrish
[flex-sdk.tar.gz (application/x-gzip, attachment)]

Forcibly Merged 592007 602499. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 07:09:05 GMT) Full text and rfc822 format available.

Added indication that bug 592007 blocks 591969 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 20 Dec 2010 17:09:57 GMT) Full text and rfc822 format available.

Added indication that bug 592007 blocks 632478 Request was from Yao Wei (魏銘廷) <mwei@lxde.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 23:51:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Joey Parrish <joey.parrish@gmail.com>. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Thu, 26 Apr 2012 09:00:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 Apr 2012 09:00:42 GMT) Full text and rfc822 format available.

Message #23 received at 592007@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 592007@bugs.debian.org
Date: Thu, 26 Apr 2012 10:56:23 +0200
Any update on the legal (or technical) issues to get the package into main ?
thx




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Tue, 01 May 2012 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 May 2012 23:15:02 GMT) Full text and rfc822 format available.

Message #28 received at 592007@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: 592007@bugs.debian.org, Mathieu Malaterre <malat@debian.org>
Subject: Re: Bug#592007:
Date: Tue, 1 May 2012 16:13:56 -0700
[Message part 1 (text/plain, inline)]
Mathieu,

Technical issues:  can't build from source.  Would be fine for contrib,
though.
Legal issues:  couldn't get an answer from Adobe, who then abandoned the
project.  Would be fine for non-free, though.

But nobody wanted to entertain the idea of putting this package anywhere
but main.  Personally, I don't see how no package at all is better than a
build-dep in contrib or non-free.  I gave up trying to convince anybody and
finally left the mailing list.  I don't even use Flex these days, so I see
no point in fighting anybody over it.

You can search my name in the debian-mentors mailing list archives if you
want to see some of the discussions that happened around this.

--Joey
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Tue, 22 May 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 May 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #33 received at 592007@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Joey Parrish <joey.parrish@gmail.com>
Cc: 592007@bugs.debian.org
Subject: Re: Bug#592007:
Date: Tue, 22 May 2012 15:07:55 +0200
Joey,

On Wed, May 2, 2012 at 1:13 AM, Joey Parrish <joey.parrish@gmail.com> wrote:
> Technical issues:  can't build from source.  Would be fine for contrib,
> though.
> Legal issues:  couldn't get an answer from Adobe, who then abandoned the
> project.  Would be fine for non-free, though.
>
> But nobody wanted to entertain the idea of putting this package anywhere but
> main.  Personally, I don't see how no package at all is better than a
> build-dep in contrib or non-free.  I gave up trying to convince anybody and
> finally left the mailing list.  I don't even use Flex these days, so I see
> no point in fighting anybody over it.
>
> You can search my name in the debian-mentors mailing list archives if you
> want to see some of the discussions that happened around this.

Ok, I found this:

http://lists.debian.org/debian-mentors/2011/10/msg00195.html

Which points to :

http://mentors.debian.net/package/flex-sdk-4.5

However this leads to an error. Digging further I found:

http://lists.debian.org/debian-mentors/2011/10/msg00421.html

Which leads to:

http://alioth.debian.org/scm/?group_id=100677

I cannot retrieve from git it fails with:

$ git clone git+ssh://malat@git.debian.org/git/pkg-flex-sdk/pkg-flex-sdk.git
Cloning into 'pkg-flex-sdk'...
fatal: '/git/pkg-flex-sdk/pkg-flex-sdk.git' does not appear to be a
git repository
fatal: The remote end hung up unexpectedly

Looking at:

http://anonscm.debian.org/gitweb/

I do not see any 'pkg-flex-sdk'.

Do you know where all your work went ?

Thanks,
-M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592007; Package wnpp. (Wed, 23 May 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Parrish <joey.parrish@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 May 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #38 received at 592007@bugs.debian.org (full text, mbox):

From: Joey Parrish <joey.parrish@gmail.com>
To: Mathieu Malaterre <malat@debian.org>
Cc: 592007@bugs.debian.org
Subject: Re: Bug#592007:
Date: Tue, 22 May 2012 18:31:13 -0700
[Message part 1 (text/plain, inline)]
On Tue, May 22, 2012 at 6:07 AM, Mathieu Malaterre <malat@debian.org> wrote:

> Ok, I found this:
>
> http://lists.debian.org/debian-mentors/2011/10/msg00195.html
>
> Which points to :
>
> http://mentors.debian.net/package/flex-sdk-4.5
>
> However this leads to an error.


IIRC, mentors.debian.net had some kind of time-out.  Since no one sponsored
my package, it was deleted automatically.  Something like that.  I had
already given up by then.

Digging further I found:
>
> http://lists.debian.org/debian-mentors/2011/10/msg00421.html
>
> Which leads to:
>
> http://alioth.debian.org/scm/?group_id=100677
>
> I cannot retrieve from git it fails with:
>
> $ git clone git+ssh://
> malat@git.debian.org/git/pkg-flex-sdk/pkg-flex-sdk.git
> Cloning into 'pkg-flex-sdk'...
> fatal: '/git/pkg-flex-sdk/pkg-flex-sdk.git' does not appear to be a
> git repository
> fatal: The remote end hung up unexpectedly
>

I don't know what that is about.  I know almost nothing about alioth,
actually.  Maybe Jaldhar can help you with that.  I can offer you a tarball
from the private repo I have at home, though, if you like.

--Joey
[Message part 2 (text/html, inline)]

Owner recorded as Joey Parrish <joey.parrish@gmail.com>. Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:38 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flex-sdk -- Framework for building and maintaining' from 'RFP: flex-sdk -- Framework for building and maintaining expressive web applications' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:38 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flex-sdk -- Framework for building and maintaining expressive web applications' from 'ITP: flex-sdk -- Framework for building and maintaining' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 16:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>:
Bug#592007; Package wnpp. (Fri, 16 Aug 2013 17:04:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joey Parrish <joey.parrish@gmail.com>. (Fri, 16 Aug 2013 17:04:18 GMT) Full text and rfc822 format available.

Message #49 received at 592007@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 592007@bugs.debian.org
Cc: control@bugs.debian.org
Subject: flex-sdk: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:55 +0200
retitle 592007 RFP: flex-sdk -- Framework for building and maintaining expressive web applications
noowner 592007
tag 592007 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging flex-sdk. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of flex-sdk back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging flex-sdk, please send a mail to
<control@bugs.debian.org> with:

 retitle 592007 ITP: flex-sdk -- Framework for building and maintaining expressive web applications
 owner 592007 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <592007@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: flex-sdk -- Framework for building and maintaining expressive web applications' from 'ITP: flex-sdk -- Framework for building and maintaining expressive web applications' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:12:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Joey Parrish <joey.parrish@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:12:29 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://issues.apache.org/jira/browse/FLEX-34221'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to 602499-submit@bugs.debian.org. (Sun, 13 Apr 2014 15:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:21:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.